Subject: Re: bug#74235: [PATCH] ; Remove 'nil' from some 'lua-ts-mode' options

From: john muhl <[email-masked]>
Date: Thu, 14 Nov 2024 21:54:26 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: john muhl <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 10 Nov 2024 08:48:39 -0600
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: john muhl <[email-masked]>
>> >> Cc: [email-masked]
>> >> Date: Sat, 09 Nov 2024 14:54:47 -0600
>> >> 
>> >> +  (if (or (not lua-ts-inferior-program)
>> >> +          (not (executable-find lua-ts-inferior-program)))
>> >> + (user-error "You must set `lua-ts-inferior-program' to use this
>> >> command")
>> >
>> > The text of user-error should say something about being unable to find
>> > the program, not just about the variable being nil, since you use
>> > executable-find.
>> >
>> > Otherwise, LGTM, thanks.
>> 
>> I guess the executable-find check is redundant anyway since
>> comint/process will tell you “Searching for program: No such file
>> or directory, luaz” if you get it wrong.
>
> Thanks, installed on the emacs-30 branch, and closing the bug.
>
> Btw, I noticed that you are marking with ";" the log entries of
> changes which should definitely appear in the produced ChangeLog.  Is
> this on purpose, or did you misunderstand the meaning of the
> semi-colon in the first line of the commit log messages?

Temporary (hopefully) confusion. I think I had NEWS entries on my
mind and conflated the the semicolon with not needing an entry
there. I should probably re-read CONTRIBUTING since it’s been
awhile and I don’t contribute often enough to have it all
ingrained yet.

Thanks for your patience.